Skip to content

Returns a list of conversations.

Request

Security
BearerAuth
Query
closed_afterstring, (date)

Filter for conversations closed after this date. Format should be yyyy-mm-dd or Unix timestamp in ms

Example:closed_after=2022-01-01
closed_beforestring, (date)

Filter for conversations closed before this date. Format should be yyyy-mm-dd or Unix timestamp in ms

Example:closed_before=1646151737080
created_afterstring, (date)

Filter for conversations created after this date. Format should be yyyy-mm-dd or Unix timestamp in ms

created_beforestring, (date)

Filter for conversations created before this date. Format should be yyyy-mm-dd or Unix timestamp in ms

updated_afterstring, (date)

Filter for conversations updated after this date. Format should be yyyy-mm-dd or Unix timestamp in ms

updated_beforestring, (date)

Filter for conversations updated before this date. Format should be yyyy-mm-dd or Unix timestamp in ms

last_message_created_afterstring, (date)

Filter for conversations where the last message was created after this date. Format should be yyyy-mm-dd or Unix timestamp in ms

last_message_created_beforestring, (date)

Filter for conversations where the last message was created before this date. Format should be yyyy-mm-dd or Unix timestamp in ms

csidsArray of integers, (int32)

Filter for this list of conversation IDs, comma separated

Example:csids=123,456
GET
/v1/conversation_export
curl -i -X GET \
  'https://exports.dixa.io/v1/conversation_export?closed_after=2022-01-01&closed_before=1646151737080&created_after=2019-08-24&created_before=2019-08-24&updated_after=2019-08-24&updated_before=2019-08-24&last_message_created_after=2019-08-24&last_message_created_before=2019-08-24&csids=123%2C456' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

Array of conversations

Bodyapplication/json
Array [
idinteger, (int32)required

Id of the conversation

created_atinteger, (int64)required

Timestamp of when the conversation was created

initial_channelstringrequired

The channel through which the communication was established

Example:"email"
requester_idstring, (uuid)required

Id of the enduser who requested the conversation

requester_namestring

Name of the enduser who requested the conversation

requester_emailstring

Email of the enduser who requested the conversation

requester_additional_emailsArray of strings

Additional email addresses of the enduser who requested the conversation

requester_phone_numberstring

Phone number of the enduser who requested the conversation

requester_additional_phone_numbersArray of strings

Additional phone numbers of the enduser who requested the conversation

queued_atnumber, (int64)

Timestamp of when the conversation was queued

queue_idstring, (uuid)

Id of the last queue where the conversation was placed

queue_namestring

Name of the last queue where the conversation was placed

closed_atnumber, (int64)

Timestamp of when the conversation was closed

ratingsArray of objects(Rating)
directionstring

Direction of the conversation

Enum:"inbound""outbound"
assigned_atinteger, (int64)

Timestamp of when the conversation was assigned to an agent

assignee_idstring, (uuid)

Id of the agent that the conversation was assigned to

assignee_namestring

Name of the agent that the conversation was assigned to

assignee_emailstring

Email of the agent that the conversation was assigned to

assignee_phone_numberstring

Phone number of the agent that the conversation was assigned to

to_provisioned_phone_number_idstring

Called phone number id (for inbound calls), which is the phone number itself

to_provisioned_phone_number_namestring

Name of the called phone number provided

dixa_email_integration_idstring

Id of the email integration, which is the email address itself

dixa_email_integration_sender_namestring

Sender name of the email integration, if it exists

forwarding_emailstring

Forwarding email address

facebook_page_idstring

Page id coming from facebook

facebook_page_namestring

Page name coming from facebook

widget_idstring, (uuid)

Id of the widget that was used

widget_namestring

Name of the widget that was used

tagsArray of strings

All tags associated with the conversation

tags_infoArray of strings

All tags info associated with the conversation

conversation_wrapup_notesArray of strings

All notes associated with the conversation

transferee_namestring

Target entity name of the transfer, which is either a queue or a user

transfer_timenumber, (int64)

Timestamp of the latest transfer

originating_countrystring

Country the conversation originates from

updated_atnumber, (int64)

Timestamp of when the conversation was last time updated

last_message_created_atnumber, (int64)

Timestamp of when the last associated message was created

statusstring

Status of the conversation

Enum:"open""closed""pending""awaitingpending"
transferee_numberstring

Phone number of the agent to whom the conversation was transferred

from_provisioned_phone_number_idstring

Calling phone number id (for outbound calls), which is the phone number itself

from_provisioned_phone_number_namestring

Name of the calling phone number provided

subjectstring

Subject field (for email and contact form)

anonymized_atnumber, (int64)

Timestamp of when the conversation was anonymized

custom_fieldsArray of objects(CustomAttribute)
exports_handling_durationnumber, (int64)

Cumulative assignment time across all agents that handled the conversation (in seconds). Can be different from handling_duration. This value corresponds to the handling_duration field in the "Integrations -> Export Conversations" CSV file.

linked_atinteger, (int64)

Timestamp of when the conversation was linked

Example:1762787749131
linked_tointeger, (int32)

ID of the conversation this conversation is linked to

Example:14665
rating_scoreinteger, (int32)deprecated

Rating score. This field is only relevant if you have set up the thumbs up/down ratings

Enum:01
rating_messagestringdeprecated

Rating message associated with the rating score. This field is only relevant if you have set up the thumbs up/down ratings

total_durationnumber, (int64)deprecated

Call duration in seconds if it exists. This is a derived value closed_at - created_at. For advanced analytics, take a look at our Analytics API.

handling_durationnumber, (int64)deprecated

Handling duration in seconds. This is a derived value closed_at - assigned_at. For advanced analytics, take a look at our Analytics API.

]
Response
[ { "id": 0, "created_at": 0, "initial_channel": "email", "requester_id": "5fe88a55-c92f-4e12-bd25-87bf15036ce9", "requester_name": "string", "requester_email": "string", "requester_additional_emails": [ … ], "requester_phone_number": "string", "requester_additional_phone_numbers": [ … ], "queued_at": 0, "queue_id": "cefd6192-7a66-4699-a2fc-dbb7f43ad507", "queue_name": "string", "closed_at": 0, "rating_score": 0, "rating_message": "string", "ratings": [ … ], "direction": "inbound", "assigned_at": 0, "assignee_id": "e209ca2d-190b-4818-b659-67d4ef4f1ce8", "assignee_name": "string", "assignee_email": "string", "assignee_phone_number": "string", "to_provisioned_phone_number_id": "string", "to_provisioned_phone_number_name": "string", "total_duration": 0, "handling_duration": 0, "dixa_email_integration_id": "string", "dixa_email_integration_sender_name": "string", "forwarding_email": "string", "facebook_page_id": "string", "facebook_page_name": "string", "widget_id": "917f3fdb-2905-481f-8ff6-04c0fb7d466c", "widget_name": "string", "tags": [ … ], "tags_info": [ … ], "conversation_wrapup_notes": [ … ], "transferee_name": "string", "transfer_time": 0, "originating_country": "string", "updated_at": 0, "last_message_created_at": 0, "status": "open", "transferee_number": "string", "from_provisioned_phone_number_id": "string", "from_provisioned_phone_number_name": "string", "subject": "string", "anonymized_at": 0, "custom_fields": [ … ], "exports_handling_duration": 0, "link_type": "side", "linked_at": 1762787749131, "linked_to": 14665 } ]